FOGCOLOR(3CgFX)

NAME
FogColor - 3D API fog color

USAGE
FogColor = float4(r, g, b, a)

VALID ENUMERANTS
r, g, b, a: floating point values

DESCRIPTION
Specify the fog color. See the GL_FOG_COLOR description on the OpenGL glFog manual page for details. See the D3DRS_FOGCOLOR render state description for DirectX 9.

The standard reset callback sets the FogColor state to float4(0, 0, 0, 0).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
FogCoordSrc, FogDensity, FogDistanceMode, FogEnable, FogEnd, FogMode, FogStart, FogTableMode, FogVertexMode, RangeFogEnable